# MongoCollection::drop

(PECL mongo >=0.9.0)

MongoCollection::drop — Drops this collection

### Description

public MongoCollection::drop ( void ) : array

Drops this collection and deletes its indices.

### Parameters

This function has no parameters.

### Return Values

Returns the database response.

### Examples

Example #1 MongoCollection::drop() example

This example demonstrates how to drop a collection and the response to expect.

`<?php
$collection = $mongo->my_db->articles;
$response = $collection->drop();
print_r($response);
?>`

The above example will output something similar to:

    Array
    (
        [nIndexesWas] => 1
        [msg] => all indexes deleted for collection
        [ns] => my_db.articles
        [ok] => 1
    )